---
- name: Detect presence of service account key in local storage
  delegate_to: localhost
  become: false
  ansible.builtin.stat:
    path: "{{ etc_dir }}/sa.key"
  register: sa_stat
  tags:
  - vault-migrated
  - always

- name: Detect presence of wireguard key in local storage
  delegate_to: localhost
  become: false
  ansible.builtin.stat:
    path: "{{ etc_dir }}/passwordstore/wg_gw_key.gpg"
  register: wg_stat
  tags:
  - vault-migrated
  - always

- name: Detect presence of migration flag
  delegate_to: localhost
  become: false
  ansible.builtin.stat:
    path: "{{ etc_dir }}/migrated-to-vault"
  register: migration_stat
  tags:
  - vault-migrated
  - always

- name: Fail because migration to vault has not been executed
  ansible.builtin.fail:
    msg: |
      Detected sa.key or wg_gw_key.gpg in local storage, but there is no flag
      indicating successful migration to Vault!

      Please see the documentation in docs/src/operation/vault.md or online at
      https://yaook.gitlab.io/k8s/operation/vault.html for steps.
  when: (sa_stat.stat.exists or wg_stat.stat.exists) and not migration_stat.stat.exists
  tags:
  - vault-migrated
  - always
...
